ioncube install centos 6 zend error

J'ai actuellement vestacp installé sur un server web centos 6,

zend est installé et je pense que l'ioncube est installé mais les états ioncube indiquent qu'il n'est pas installé.

machine:

Linux fellio.example.com 2.6.32-642.11.1.el6.x86_64 #1 SMP Fri Nov 18 19:25:05 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux 

voici mon info php qui indique que ioncube est chargé:

 php -v PHP 5.6.29RC1 (cli) (built: Nov 24 2016 10:20:09) Copyright (c) 1997-2016 The PHP Group Zend Engine v2.6.0, Copyright (c) 1998-2016 Zend Technologies with the ionCube PHP Loader (enabled) + Intrusion Protection from ioncube24.com (unconfigured) v6.0.8, Copyright (c) 2002-2016, by ionCube Ltd. with Zend Guard Loader v3.3, Copyright (c) 1998-2015, by Zend Technologies 

voici mes modules:

 ls /usr/lib64/php/modules/ bcmath.so dom.so gettext.so ioncube_loader_lin_5.6.so mysqli.so pdo_sqlite.so shmop.so sysvmsg.so wddx.so xsl.so bz2.so exif.so gmp.so json.so mysqlnd.so phar.so simplexml.so sysvsem.so xmlreader.so ZendGuardLoader.so calendar.so fileinfo.so iconv.so ldap.so mysql.so posix.so soap.so sysvshm.so xmlrpc.so zip.so ctype.so ftp.so imap.so mbssortingng.so pdo_mysql.so pspell.so sockets.so tidy.so xml.so curl.so gd.so intl.so mcrypt.so pdo.so recode.so sqlite3.so tokenizer.so xmlwriter.so 

sortie php.d:

 00-Ioncube.ini 20-dom.ini 20-gmp.ini 20-mcrypt.ini 20-recode.ini 20-sysvmsg.ini 20-xmlwriter.ini 30-wddx.ini 20-bcmath.ini 20-exif.ini 20-iconv.ini 20-mysqlnd.ini 20-shmop.ini 20-sysvsem.ini 20-xsl.ini 30-xmlreader.ini 20-bz2.ini 20-fileinfo.ini 20-imap.ini 20-pdo.ini 20-simplexml.ini 20-sysvshm.ini 30-mysqli.ini 30-xmlrpc.ini 20-calendar.ini 20-ftp.ini 20-intl.ini 20-phar.ini 20-soap.ini 20-tidy.ini 30-mysql.ini 40-json.ini 20-ctype.ini 20-gd.ini 20-ldap.ini 20-posix.ini 20-sockets.ini 20-tokenizer.ini 30-pdo_mysql.ini 40-zip.ini 20-curl.ini 20-gettext.ini 20-mbssortingng.ini 20-pspell.ini 20-sqlite3.ini 20-xml.ini 30-pdo_sqlite.ini ZendGuard.ini 

00-Ioncube.ini sortie:

 cat 00-Ioncube.ini zend_extension = /usr/lib64/php/modules/ioncube_loader_lin_5.6.so 

Sortie ZendGuard.ini:

  cat ZendGuard.ini ; Enable Zend Guard extension zend_extension=/usr/lib64/php/modules/ZendGuardLoader.so zend_loader.enable=1 

php.ini:

situé sur pastebin en tant que grand à postr ici: http://pastebin.com/MWS9fQ8b

Erreur:

  service vesta restart Stopping vesta-nginx: [ OK ] Stopping vesta-php: [ OK ] Starting vesta-nginx: [ OK ] Starting vesta-php: Failed loading /usr/lib64/php/modules/ioncube_loader_lin_5.6.so: /usr/lib64/php/modules/ioncube_loader_lin_5.6.so: undefined symbol: zend_execute_ex [ OK ] 

le journal des erreurs affiche:

 sh: gradm: command not found 

Lorsque vous utilisez l'assistant de chargeur pour installer ioncube, j'ai l'erreur suivante:

  Please note that the following problems currently exist with the ionCube Loader installation: The following ini files could not be found by the Wizard: /etc/php.ini,/etc/php.d/20-bcmath.ini,/etc/php.d/20-bz2.ini,/etc/php.d/20-calendar.ini,/etc/php.d/20-ctype.ini,/etc/php.d/20-curl.ini,/etc/php.d/20-dom.ini,/etc/php.d/20-exif.ini,/etc/php.d/20-fileinfo.ini,/etc/php.d/20-ftp.ini,/etc/php.d/20-gd.ini,/etc/php.d/20-gettext.ini,/etc/php.d/20-gmp.ini,/etc/php.d/20-iconv.ini,/etc/php.d/20-imap.ini,/etc/php.d/20-intl.ini,/etc/php.d/20-ldap.ini,/etc/php.d/20-mbssortingng.ini,/etc/php.d/20-mcrypt.ini,/etc/php.d/20-mysqlnd.ini,/etc/php.d/20-pdo.ini,/etc/php.d/20-phar.ini,/etc/php.d/20-posix.ini,/etc/php.d/20-pspell.ini,/etc/php.d/20-recode.ini,/etc/php.d/20-shmop.ini,/etc/php.d/20-simplexml.ini,/etc/php.d/20-soap.ini,/etc/php.d/20-sockets.ini,/etc/php.d/20-sqlite3.ini,/etc/php.d/20-sysvmsg.ini,/etc/php.d/20-sysvsem.ini,/etc/php.d/20-sysvshm.ini,/etc/php.d/20-tidy.ini,/etc/php.d/20-tokenizer.ini,/etc/php.d/20-xml.ini,/etc/php.d/20-xmlwriter.ini,/etc/php.d/20-xsl.ini,/etc/php.d/30-mysql.ini,/etc/php.d/30-mysqli.ini,/etc/php.d/30-pdo_mysql.ini,/etc/php.d/30-pdo_sqlite.ini,/etc/php.d/30-wddx.ini,/etc/php.d/30-xmlreader.ini,/etc/php.d/30-xmlrpc.ini,/etc/php.d/40-json.ini,/etc/php.d/40-zip.ini This may be due to server ressortingctions in place. The necessary zend_extension line could not be found in the configuration. Please also note the following: The correct loader for your system has been found at /home/admin/web/websiteguardtest.tk/public_html/ioncube/ioncube_loader_lin_5.6.so. You may wish to copy the loader from /home/admin/web/websiteguardtest.tk/public_html/ioncube/ioncube_loader_lin_5.6.so to /usr/lib64/php/modules 

.

J'ai désactivé open_base dir dans les files de model associés, car je pensais que cela pourrait être le problème, mais ce n'est pas le cas, je ne suis pas sûr de savoir quel en est le problème avec ioncube et ma machine Vestacp, toute aide serait appréciée.

One Solution collect form web for “ioncube install centos 6 zend error”

Vous devez recomstackr ioncube ou le réinstaller correctement.

Pour avoir un indice à propos de whet a mal tourné ou de la dépendance est absent, tapez simplement

ldd /usr/lib64/php/modules/ioncube_loader_lin_5.6.so

  • logins PHP d'Apache
  • comment surveiller les appels CURL
  • PHP 5.3 Apache 2.2 MySQL 5.5 Drupal 6
  • Hébergement partagé par messagerie PHP
  • CURL PHP ne peut pas résoudre l'hôte
  • PHP Erreur fatale: appel à la fonction non définie mysql_pconnect () in
  • Le time de chargement du file PHP, peut-être lié à NFS?
  • Problème avec les scripts php fopen locaux renvoyant 404 sur CentOS
  • Exim4 intercepte tous les messages sortants
  • Retards de Sendmail sur certaines adresses e-mail
  • PHP ne fonctionne pas avec Apache sur Centos 7
  • Les astuces du serveur de linux et windows, tels que ubuntu, centos, apache, nginx, debian et des sujets de rĂ©seau.